Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1062807 - [abrt] liferea: gtk_tree_store_iter_n_children(): liferea killed by SIGSEGV
Summary: [abrt] liferea: gtk_tree_store_iter_n_children(): liferea killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: liferea
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Steven M. Parrish
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:4ccce1d507182c0769bf6f18cfc...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-08 03:48 UTC by code
Modified: 2015-06-29 15:04 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 15:04:53 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2014-02-08 03:48 UTC, code
no flags Details
File: cgroup (deleted)
2014-02-08 03:48 UTC, code
no flags Details
File: core_backtrace (deleted)
2014-02-08 03:48 UTC, code
no flags Details
File: dso_list (deleted)
2014-02-08 03:48 UTC, code
no flags Details
File: environ (deleted)
2014-02-08 03:48 UTC, code
no flags Details
File: exploitable (deleted)
2014-02-08 03:48 UTC, code
no flags Details
File: limits (deleted)
2014-02-08 03:48 UTC, code
no flags Details
File: maps (deleted)
2014-02-08 03:48 UTC, code
no flags Details
File: open_fds (deleted)
2014-02-08 03:48 UTC, code
no flags Details
File: proc_pid_status (deleted)
2014-02-08 03:48 UTC, code
no flags Details
File: var_log_messages (deleted)
2014-02-08 03:48 UTC, code
no flags Details

Description code 2014-02-08 03:48:36 UTC
Version-Release number of selected component:
liferea-1.10.5-1.fc20

Additional info:
reporter:       libreport-2.1.11
backtrace_rating: 4
cmdline:        liferea
crash_function: gtk_tree_store_iter_n_children
executable:     /usr/bin/liferea
kernel:         3.12.8-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gtk_tree_store_iter_n_children at gtktreestore.c:767
 #1 gtk_tree_model_filter_build_level at gtktreemodelfilter.c:792
 #2 gtk_tree_model_filter_update_children at gtktreemodelfilter.c:1837
 #4 gtk_tree_model_filter_row_changed at gtktreemodelfilter.c:2086
 #5 gtk_tree_model_filter_refilter_helper at gtktreemodelfilter.c:4253
 #6 gtk_tree_model_foreach_helper at gtktreemodel.c:1946
 #7 gtk_tree_model_foreach at gtktreemodel.c:1993
 #8 gtk_tree_model_filter_refilter at gtktreemodelfilter.c:4273
 #9 feed_list_view_selection_changed_cb at feed_list_view.c:78
 #10 _g_closure_invoke_va at gclosure.c:840

Comment 1 code 2014-02-08 03:48:40 UTC
Created attachment 860800 [details]
File: backtrace

Comment 2 code 2014-02-08 03:48:41 UTC
Created attachment 860801 [details]
File: cgroup

Comment 3 code 2014-02-08 03:48:43 UTC
Created attachment 860802 [details]
File: core_backtrace

Comment 4 code 2014-02-08 03:48:44 UTC
Created attachment 860803 [details]
File: dso_list

Comment 5 code 2014-02-08 03:48:46 UTC
Created attachment 860804 [details]
File: environ

Comment 6 code 2014-02-08 03:48:47 UTC
Created attachment 860805 [details]
File: exploitable

Comment 7 code 2014-02-08 03:48:48 UTC
Created attachment 860806 [details]
File: limits

Comment 8 code 2014-02-08 03:48:50 UTC
Created attachment 860807 [details]
File: maps

Comment 9 code 2014-02-08 03:48:51 UTC
Created attachment 860808 [details]
File: open_fds

Comment 10 code 2014-02-08 03:48:53 UTC
Created attachment 860809 [details]
File: proc_pid_status

Comment 11 code 2014-02-08 03:48:54 UTC
Created attachment 860810 [details]
File: var_log_messages

Comment 12 Terry Wallwork 2014-06-20 17:45:04 UTC
Another user experienced a similar problem:

Was clicking on a post entry and it crashes, I had recently added a new subscription also.

reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        liferea
crash_function: gtk_tree_store_iter_n_children
executable:     /usr/bin/liferea
kernel:         3.14.6-200.fc20.x86_64
package:        liferea-1.10.8-1.fc20
reason:         liferea killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 13 Fedora End Of Life 2015-05-29 10:51:06 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2015-06-29 15:04:53 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.